var scriptName = "Buồi Criticals"; 
var scriptVersion = 1.0; 
var scriptAuthor = "CCBlueX";

var exampleModule = new ExampleModule();
var exampleModuleClient;

function ExampleModule() {
    this.getName = function() {
        return "NewCriticals";
    };

    this.getDescription = function() {
        return "It can bypass AAC v4";
    };

    this.getCategory = function() {
        return "Fun";
    };

    this.onAttack = function(event) {
        mc.thePlayer.onCriticalHit(event.getTargetEntity());//It's just visual : )
    }
}

function onLoad() {
};

function onEnable() {
    exampleModuleClient = moduleManager.registerModule(exampleModule);
};

function onDisable() {
    moduleManager.unregisterModule(exampleModuleClient);
};